Bug 1264204 - On ARMv7 (RaspberryPi2, Cubieboard 2, Banana Pi...) dnf takes 100% CPU and long delays at updating metadata
On ARMv7 (RaspberryPi2, Cubieboard 2, Banana Pi...) dnf takes 100% CPU and lo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2015-09-17 17:04 EDT by Alberto Ruiz
Modified: 2017-08-08 08:15 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:15:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Ruiz 2015-09-17 17:04:33 EDT
Description of problem:
On ARMv7 (RaspberryPi2, Cubieboard 2, Banana Pi...) dnf takes 100% CPU and long delays (minutes) while updating metadata. This happens once per remote yum repository.

Version-Release number of selected component (if applicable):
I am using Fedora 22, and I have seen this happening on the RaspberryPi2 and at a cloud provider's ARMv7 hardware (scaleway.com).

How reproducible:
Always

Steps to Reproduce:
1. Setup Fedora on an ARMv7 machine.
2. Force dnf to update the repository cache.
3. Update dnf metadata cache.

Actual results:
During cache updates dnf cogs the machine (100% cpu) and takes more time than it usually would.

Expected results:
dnf should take a reasonable amount of resources and only be bound by bandwidth not CPU.

Additional info:
I'm happy to give access to a remote ARMv7 machine if the developers don't have one.
Comment 1 Radek Holy 2015-09-21 04:57:45 EDT
We'll take a look.
Comment 2 Alberto Ruiz 2016-02-13 05:54:12 EST
Any progress on this?
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:27:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 13:56:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Honza Silhan 2016-07-27 05:26:32 EDT
Can you still reproduce it with dnf-1.1.9 and libsolv-0.6.22?
Comment 6 Alberto Ruiz 2016-07-28 11:08:05 EDT
Yes indeed, same thing:
 2641 root      20   0  202632 160412  16600 R  99.7  7.7   1:04.78 dnf         


These are the different versions of the packages:
[root@scw-62b0d7 ~]# dnf --version
1.1.9
  Installed: dnf-0:1.1.9-2.fc24.noarch at 2016-07-28 14:33
  Built    : Fedora Project at 2016-05-24 15:43

  Installed: rpm-0:4.13.0-0.rc1.27.fc24.armv7hl at 2016-07-28 14:32
  Built    : Fedora Project at 2016-04-25 13:53
[root@scw-62b0d7 ~]# dnf info libsolv
Last metadata expiration check: 0:44:30 ago on Thu Jul 28 10:20:59 2016.
Installed Packages
Name        : libsolv
Arch        : armv7hl
Epoch       : 0
Version     : 0.6.22
Comment 7 Vedran Miletić 2016-10-21 13:43:53 EDT
Reproducible nicely on Scaleway BareMetal ARM machines. Anything I can test?
Comment 8 Alberto Ruiz 2016-10-24 11:20:25 EDT
(In reply to Vedran Miletić from comment #7)
> Reproducible nicely on Scaleway BareMetal ARM machines. Anything I can test?

If you can reproduce it, what is it that you want to test?

Talking with Richard Hughes about this, we've come to the suspicion that this is the buildup of the libsolv cache. We want to investigate if this is parallelizable (most machines have multiple cores these days) or optimizable in some way. Also, it'd be good if we could get rid of the tex packaging mess and bundle most of those in smaller packages making the resolution cache a lot lighter.
Comment 9 Vedran Miletić 2016-10-24 11:59:02 EDT
(In reply to Alberto Ruiz from comment #8)
> If you can reproduce it, what is it that you want to test?

Whatever would help in solving this.

> Talking with Richard Hughes about this, we've come to the suspicion that
> this is the buildup of the libsolv cache. We want to investigate if this is
> parallelizable (most machines have multiple cores these days) or optimizable
> in some way. Also, it'd be good if we could get rid of the tex packaging
> mess and bundle most of those in smaller packages making the resolution
> cache a lot lighter.

Glad to hear.
Comment 10 Fedora End Of Life 2017-07-25 15:17:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Adam Farden 2017-07-27 12:03:35 EDT
Just FYI this is marked for F24 and looks to be automatically closed but is still an issue on F26.

Reproduced on both Raspberry Pi 3 and Orange Pi Zero.
Comment 12 Fedora End Of Life 2017-08-08 08:15:08 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.